<?php
declare(strict_types=1);

namespace WP_AUX\Services;

use WP_AUX\Entities\AuxCF\OptionsFieldGroups\AcfGlobalOptionsGroupEntity;
use WP_AUX\Entities\AuxCF\OptionsFieldGroups\AcfSearchOptionsGroupEntity;

class GlobalSettingsService
{
  public static function registerGlobalSettingsPage(): void
  {
    acf_add_options_page(array(
      'page_title' => 'AggieUX Site Settings',
      'menu_slug' => 'aux-global-settings',
      'parent_slug' => 'options-general.php',
      'position' => '6',
      'redirect' => false,
    ));
  }
  public static function registerSettingsFields(): void
  {
    AcfGlobalOptionsGroupEntity::create()->register();
    AcfSearchOptionsGroupEntity::create()->register();
  }
}
